summaryrefslogtreecommitdiff
path: root/iwd/install-patch-intl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'iwd/install-patch-intl.sh')
-rwxr-xr-xiwd/install-patch-intl.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/iwd/install-patch-intl.sh b/iwd/install-patch-intl.sh
new file mode 100755
index 0000000..7dfe53f
--- /dev/null
+++ b/iwd/install-patch-intl.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale patch v1.06
+#
+# info : http://www.planetbaldursgate.com/iwd/media/files/patches/iwdreadme106.txt
+# size : 3.2 MB
+# date : 7/30/00
+
+patch_url="http://www.sorcerers.net/Games2/IWD/iwdpatch106.exe"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L -s "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+cp -R "${TMPDIR}/override/"* "${TARGETDIR}/override" || diesoftly
+cp -R "${TMPDIR}/scripts/"* "${TARGETDIR}/scripts" || diesoftly
+
+teardown "$TARGETDIR"